/*************************************************************************
**									**
**	MODULE NAME 	:	2d.h					**
**									**
**	MODULE TYPE 	:	Header for point/vector def. module	**
**									**
**	MODULE AUTHOR 	:	Philip J. Schneider			*
**                                                                      **
**      Copyright (c) 1990 by Philip J. Schneider			**
**                                                                      **
**************************************************************************
*************************************************************************/

/************************************************************************
*									*
*			2d.h : type definitions				*
*									*
************************************************************************/

typedef	struct Point2 {		/* Declare type Point			*/
    double x;			/* x-coordinate				*/
    double y;			/* y-coordinate				*/
} Point2;

typedef Point2	Vector2;

/************************************************************************
*									*
*		2d.h : procedure declarations				*
*									*
************************************************************************/

extern	double	V2Dot();
extern	double	V2DistanceBetween2Points();
extern	Vector2	*V2Negate();
extern	Vector2	*V2Scale();
extern	double	V2Length();
extern	double	V2SquaredLength();
extern	Vector2	*V2Normalize();
extern	Vector2	*V2Add();



/* XXX NEW STUFF 
extern	Vector2	*V2Sub();
extern	Vector2	V2AddII();
extern	Vector2	V2ScaleII();
*/
